{% load static %}
{% load i18n %}

<nav class="navbar navbar-expand-md core-font">
    <a class="navbar-brand" href="{% url 'home' %}"><img src="{% static 'img/logos/website.png' %}"></a>
    <div class="core-div">
        <form action="{% url 'set_language' %}" method="post" id="languageForm" style="display: inline-block;">
            {% csrf_token %}
            {% get_current_language as LANGUAGE_CODE %}
            {% if LANGUAGE_CODE == 'en' %}
            <input name="language" type="hidden" value="es">
            {% else %}
            <input name="language" type="hidden" value="en">
            {% endif %}
            <a onclick="document.getElementById('languageForm').submit()" class="core-button" href="javascript:void(0);">
                <img src="{% static 'img/icons/translate.png' %}">
            </a>
        </form>
        {% if user.is_authenticated %}
        {% if perms %}
        <a class="core-button" id="open-dashboard" href="javascript:void(0);"><img src="{% static 'img/icons/dashboard.png' %}"></a>
        {% endif %}
        <a class="core-button" href="{% url 'accounts:detail' pk=user.pk %}?personal=true"><img
                src="{% static 'img/icons/profile.png' %}"></a>
        <a class="core-button" href="{% url 'accounts:logout' %}"><img src="{% static 'img/icons/logout.png' %}"></a>
        {% else %}
        <a class="core-button" href="{% url 'accounts:login' %}">
            <img src="{% static 'img/icons/login.png' %}"></a>
        {% endif %}
        <a class="core-button d-md-none" href="javascript:void(0);" data-toggle="collapse" data-target="#mobileNavbar"
            aria-controls="mobileNavbar">
            <img src="{% static 'img/icons/menu.png' %}"></a>
    </div>
    <div class="collapse navbar-collapse" id="mobileNavbar">
        <div class="navbar-nav ml-auto">
            <a class="nav-item nav-link" href="{% url 'home' %}">{% trans "Home" %}</a>
            <a class="nav-item nav-link" href="{% url 'events:calendar' %}">{% trans "Calendar" %}</a>
            <a class="nav-item nav-link" href="{% url 'wikis:view' slug='home' %}">{% trans "Wiki" %}</a>
            <a class="nav-item nav-link" href="{% url 'votations:public_list' %}">{% trans "Votation" %}</a>
        </div>
    </div>
</nav>